Package org.eclipse.emf.spi.cdo

## Interface InternalCDOXASavepoint

- All Superinterfaces:
    `CDOUserSavepoint`, `CDOXASavepoint`, `InternalCDOUserSavepoint`

      public interface InternalCDOXASavepoint
      extends CDOXASavepoint, InternalCDOUserSavepoint

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternalCDOXASavepoint` | `getFirstSavePoint()` |
    `InternalCDOXASavepoint` | `getNextSavepoint()` |
    `InternalCDOXASavepoint` | `getPreviousSavepoint()` |
    `java.util.List<CDOSavepoint>` | `getSavepoints()` |
    `InternalCDOXATransaction` | `getTransaction()` |
    `void` | `setSavepoints​(java.util.List<CDOSavepoint> savepoints)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserSavepoint

      `getNumber, isValid, rollback`

    - ### Methods inherited from interface org.eclipse.emf.spi.cdo.InternalCDOUserSavepoint

      `setNextSavepoint, setPreviousSavepoint`

- - ### Method Detail

    - #### getTransaction

          InternalCDOXATransaction getTransaction()

      Specified by:
        `getTransaction` in interface `CDOUserSavepoint`
      Specified by:
        `getTransaction` in interface `CDOXASavepoint`
      Specified by:
        `getTransaction` in interface `InternalCDOUserSavepoint`

    - #### getFirstSavePoint

          InternalCDOXASavepoint getFirstSavePoint()

      Specified by:
        `getFirstSavePoint` in interface `InternalCDOUserSavepoint`

    - #### getPreviousSavepoint

          InternalCDOXASavepoint getPreviousSavepoint()

      Specified by:
        `getPreviousSavepoint` in interface `CDOUserSavepoint`
      Specified by:
        `getPreviousSavepoint` in interface `CDOXASavepoint`
      Specified by:
        `getPreviousSavepoint` in interface `InternalCDOUserSavepoint`

    - #### getNextSavepoint

          InternalCDOXASavepoint getNextSavepoint()

      Specified by:
        `getNextSavepoint` in interface `CDOUserSavepoint`
      Specified by:
        `getNextSavepoint` in interface `CDOXASavepoint`
      Specified by:
        `getNextSavepoint` in interface `InternalCDOUserSavepoint`

    - #### getSavepoints

          java.util.List<CDOSavepoint> getSavepoints()

      Specified by:
        `getSavepoints` in interface `CDOXASavepoint`

    - #### setSavepoints

          void setSavepoints​(java.util.List<CDOSavepoint> savepoints)